---
wsId: 
title: Exchangernet
altTitle: 
authors:
- danny
users: 5000
appId: com.exchangernet
appCountry: 
released: 2021-02-21
updated: 2021-02-22
version: '1.0'
stars: 4.1
ratings: 70
reviews: 6
size: 2.0M
website: https://www.exchangernet.com/
repository: 
issue: 
icon: com.exchangernet.png
bugbounty: 
meta: stale
verdict: nowallet
date: 2022-02-18
signer: 
reviewArchive: 
twitter: echangerbd
social:
- https://www.facebook.com/exchangernet
redirect_from: 

---

## App Description

> Here you can exchange Digital Currency and easily convert money from dollars to your account. You can buy-sell here completely securely. Exchange your currency between- WebMoney, Perfect Money, Advanced Cash, Payeer, PayPal, Neteller, Skrill, BTC, LTC, ETH & other digital currency. Exchange your currency here undoubtedly.

## [Terms and Conditions](https://www.exchangernet.com/terms.php)

We find it odd for the service to mention that cryptocurrency is "illegal"

> As Crypto currency is illegal. We never give payment through crypto currency. So do not request us to pay. We do not proceed with payment for Betting, Gambling and Illegal web payments. We work only for Freelancer, Outsourcer and Online workers

We dug a little bit more and found that some portions of the website are in Bengali which is the language in Bangladesh.

### KYC requirements

- Government issued document proving address
- Photo of ID, driver's license
- Selfie
- Electricity bill or TIN certificate

## The App

[We tried Exchangernet](https://twitter.com/BitcoinWalletz/status/1458014150022492163). There is a screen that allows you to select a currency to send and receive and then exchange. Bitcoin is not included in the list of assets. Note that in the Google Play app page, it shows a screenshot with a Bitcoin logo. However, when we opened the app, we could not find BTC.

Once we finished registering an account, we received an email from Exchangernet Support with our username and password then asked to activate the account by clicking a link.

Users must verify before they are allowed to make an exchange. This includes documents such as the Electricity Bill or Photo ID.

## Verdict

After trying the app, we don't think that it is possible to deposit Bitcoin. It also **does not seem to function as a wallet**, but only as an exchanger. Moreover, it **no longer lists BTC** on its currency options.
